Bug 637022 - [abrt] subdownloader-2.0.13-1.fc13: SDService.py:70:__call__:KeyError: 'data'
Summary: [abrt] subdownloader-2.0.13-1.fc13: SDService.py:70:__call__:KeyError: 'data'
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subdownloader
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:74a9bc8d
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 03:17 UTC by Edson Dino Salvati
Modified: 2011-06-28 12:25 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-28 12:25:42 UTC


Attachments (Terms of Use)
File: backtrace (919 bytes, text/plain)
2010-09-24 03:18 UTC, Edson Dino Salvati
no flags Details

Description Edson Dino Salvati 2010-09-24 03:17:58 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: python /usr/bin/subdownloader
component: subdownloader
executable: /usr/bin/subdownloader
kernel: 2.6.34.6-54.fc13.x86_64
package: subdownloader-2.0.13-1.fc13
reason: SDService.py:70:__call__:KeyError: 'data'
release: Fedora release 13 (Goddard)
time: 1285298222
uid: 500

backtrace
-----
SDService.py:70:__call__:KeyError: 'data'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 904, in onButtonSearchSelectVideos
    self.SearchVideos(fileNames)
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 809, in SearchVideos
    videoSearchResults = self.OSDBServer.SearchSubtitles("",videos_piece)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 423, in SearchSubtitles
    return SearchSubtitles (language, videos, imdb_ids)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 70, in __call__
    raise e
KeyError: 'data'

Local variables in innermost frame:
self: <modules.SDService.TimeoutFunction instance at 0x2c31c68>
args: ('', [<modules.videofile.VideoFile object at 0x27a78d0>], None)
e: KeyError('data',)
t: <_Timer(Thread-5, stopped 140498379470608)>

Comment 1 Edson Dino Salvati 2010-09-24 03:18:01 UTC
Created attachment 449334 [details]
File: backtrace

Comment 2 Jan Klepek 2010-09-27 15:53:14 UTC
could you please provide steps how to reproduce?

Comment 3 Israel Lins Albuquerque 2010-11-29 01:06:55 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Closing the program while that are searching for legends

Comment 4 Fedora Update System 2011-01-08 16:43:39 UTC
subdownloader-2.0.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/subdownloader-2.0.14-1.fc14

Comment 5 Fedora Update System 2011-01-08 16:44:00 UTC
subdownloader-2.0.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/subdownloader-2.0.14-1.fc13

Comment 6 Łukasz Ruman 2011-01-17 21:22:40 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
I tried to download subtitles to Star Trek: Voyager using subdownloader.

Comment 7 Rafael Louback Ferraz 2011-02-05 16:03:30 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I tried to send a new subtitle, and it crashed, but dont closed the program. Just cant send it.

Comment 8 P. Ignacio Q. 2011-02-08 17:28:07 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open program
2.Choose upload subtitles
3.Choose a directory

Comment 9 kicsiedes1 2011-02-22 13:45:14 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
a

Comment 10 Fedora Update System 2011-03-19 10:28:46 UTC
subdownloader-2.0.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-19 10:32:12 UTC
subdownloader-2.0.14-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Łukasz Ruman 2011-05-08 12:59:31 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I tried to download subtitles to Star Trek: Voyager using subdownloader.

Comment 13 Bug Zapper 2011-05-31 12:44:07 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-28 12:25:42 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.